# Ogre::DDVideoModeList Class Reference

Encapsulates enumeration of DirectDraw video modes. More...

`#include <OgreDDVideoModeList.h>`

List of all members.

## Public Member Functions

| DDVideoModeList (LPDIRECTDRAW7 lpDD7)
| ~DDVideoModeList ()
BOOL | enumerate (void)
DDVideoMode * | item (int index)
unsigned int | count (void)
DDVideoMode * | getClosestMatch (int width, int height, int colourDepth)

## Private Member Functions

void | AddMode (LPDDSURFACEDESC2 lpDDSurfaceDesc)

## Private Attributes

LPDIRECTDRAW7 | lpDD7
std::vector< DDVideoMode > | mModeList

## Friends

HRESULT CALLBACK | DDEnumModesCallback (LPDDSURFACEDESC2 lpDDSD2, LPVOID lpContext)

## Detailed Description

Encapsulates enumeration of DirectDraw video modes.

Utility class for D3DRenderSystem.

Definition at line 38 of file OgreDDVideoModeList.h.

## Constructor & Destructor Documentation

Ogre::DDVideoModeList::DDVideoModeList | ( | LPDIRECTDRAW7 | lpDD7 | ) |

Ogre::DDVideoModeList::~DDVideoModeList | ( |  | ) |

## Member Function Documentation

void Ogre::DDVideoModeList::AddMode | ( | LPDDSURFACEDESC2 | lpDDSurfaceDesc | ) | `[private]`

unsigned int Ogre::DDVideoModeList::count | ( | void |  | ) |

BOOL Ogre::DDVideoModeList::enumerate | ( | void |  | ) |

DDVideoMode* Ogre::DDVideoModeList::getClosestMatch | ( | int | width,
|  | int | height,
|  | int | colourDepth
| ) |

DDVideoMode* Ogre::DDVideoModeList::item | ( | int | index | ) |

## Friends And Related Function Documentation

HRESULT CALLBACK DDEnumModesCallback | ( | LPDDSURFACEDESC2 | lpDDSD2,
|  | LPVOID | lpContext
| ) | `[friend]`

## Member Data Documentation

LPDIRECTDRAW7 Ogre::DDVideoModeList::lpDD7 `[private]`

| Definition at line 44 of file OgreDDVideoModeList.h.

std::vector<DDVideoMode> Ogre::DDVideoModeList::mModeList `[private]`

| Definition at line 47 of file OgreDDVideoModeList.h.

The documentation for this class was generated from the following file:

- OgreDDVideoModeList.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:08:26 2006